package com.zj365.health.act.healthrecord

import android.view.View
import androidx.recyclerview.widget.LinearLayoutManager
import com.xty.base.act.BaseVmAct
import com.xty.base.vm.BaseVm
import com.zj365.health.adapter.familyhealth.HealthFamilyTargetAdapter
import com.zj365.health.databinding.ActHealthRecordMainBinding

class HealthRecordMainAct : BaseVmAct<BaseVm>() {

    val binding by lazy { ActHealthRecordMainBinding.inflate(layoutInflater) }

    val mAdapter by lazy { HealthFamilyTargetAdapter() }

    override fun liveObserver() {

    }

    override fun initView() {
        super.initView()
        statusBar(binding.title.mView)
        binding.title.mTvTitle.text ="健康档案"
        binding.title.mIvBack.setOnClickListener {
            finish()
        }

        initAdapter()
    }

    fun initAdapter (){
        binding.recycler.adapter = mAdapter
        binding.recycler.layoutManager = LinearLayoutManager(this,LinearLayoutManager.HORIZONTAL,false)
    }

    override fun setLayout() = binding.root
}